default:	ca_testSetUp


include ../Makefile.module

COPTIONS = -o
LIBS =  `$(GLIBCONF) --libs`
TESTOBJECTS = ca_configFns.o ca_values.o ca_dictStruct.o
SETUPSOURCES = ca_testSetUp.c
HEADERS = ca_libs.h ca_dictSyms.h ca_macros.h

ca_testSetUp:	$(SETUPSOURCES) $(TESTOBJECTS) $(HEADERS)
	$(CC) $(COPTIONS) ca_testSetUp $(CFLAGS) $(SETUPSOURCES) $(TESTOBJECTS) $(LIBS)
ca_configFns.o:	ca_configFns.c ca_defs.h
	$(CC) $(CFLAGS) -c ca_configFns.c $(LIBS)

ca_dictStruct.o:        ca_dictStruct.c ca_defs.h
	$(CC) $(CFLAGS) -c ca_dictStruct.c $(LIBS)

ca_values.o:    ca_values.c ca_defs.h
	$(CC) $(CFLAGS) -c ca_values.c $(LIBS)

clean:
	 rm -f *.o ca_testSetUp core

